Bug 12037 - Плохо обрабатывает файлы > 2Гб
: Плохо обрабатывает файлы > 2Гб
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/xdelta1)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-06-14 17:29 by
Modified: 2008-01-25 18:26 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-06-14 17:29:20
Предположительно собрана без поддержки файлов > 2Гб.
Во всяком случае попытка сделать
 xdelta delta dvd4-20070605.iso dvd4-20070609.iso dvd4-20070605-20070609.xdelta
приводит к
xdelta: warning: no matches found in from file, patch will apply without it
xdelta: lseek failed: Success
xdelta: write failed: Success

При том что совпаденяи там заведомо есть
------- Comment #1 From 2007-06-15 19:04:53 -------
Если бы xdelta не поддерживала большие файлы, то она не смогла бы их читать и
записывать.  К тому же на x86-64 поддержка больших файлов неотключаема.
Вероятно, в коде какая-то ошибка.
------- Comment #2 From 2007-11-23 16:27:25 -------
А кто высказывался, что надо бы xdelta3 посмотреть?  Есть ещё bsdiff, но:
     bsdiff uses memory equal to 17 times the size of <oldfile>, and requires
     an absolute minimum working set size of 8 times the size of oldfile.
что для >2Gb тоже совершенно непрактично.
------- Comment #3 From 2007-11-23 16:28:32 -------
Насколько я понял - ошибка в формате файла xdelta2

Исправлено в xdelta3
------- Comment #4 From 2008-01-25 18:26:46 -------
Значит, WONTFIX.

BTW xdelta3 между 4.0.1 и 4.0.2 (кажется) DVD ISO получилось ~2.5Gb.